<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_wifi_ap Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structmcm__wifi__ap.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__wifi__ap-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_wifi_ap Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af8e24790203a26af72faca89d5796eb3"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__ap.html#af8e24790203a26af72faca89d5796eb3">ssid</a> [40]</td></tr>
<tr class="separator:af8e24790203a26af72faca89d5796eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada54e13a310979ac1b9cc5a0e99eda1c"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__ap.html#ada54e13a310979ac1b9cc5a0e99eda1c">bssid</a> [32]</td></tr>
<tr class="separator:ada54e13a310979ac1b9cc5a0e99eda1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a227e10e3aefa6508882654e931f1e93e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__ap.html#a227e10e3aefa6508882654e931f1e93e">encryption_type</a> [32]</td></tr>
<tr class="separator:a227e10e3aefa6508882654e931f1e93e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0129252c298006d15b8110cac1e343fd"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__ap.html#a0129252c298006d15b8110cac1e343fd">signal_strength</a></td></tr>
<tr class="separator:a0129252c298006d15b8110cac1e343fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2880357f0464e0838d0ca5ba03ebc4cf"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__ap.html#a2880357f0464e0838d0ca5ba03ebc4cf">frequency</a> [16]</td></tr>
<tr class="separator:a2880357f0464e0838d0ca5ba03ebc4cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e1a04f7389253ee1a17c2b76027b641"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__ap.html#a2e1a04f7389253ee1a17c2b76027b641">rssi</a></td></tr>
<tr class="separator:a2e1a04f7389253ee1a17c2b76027b641"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure for wifi ap information </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ada54e13a310979ac1b9cc5a0e99eda1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada54e13a310979ac1b9cc5a0e99eda1c">&#9670;&nbsp;</a></span>bssid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_ap::bssid[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>bssid </p>

</div>
</div>
<a id="a227e10e3aefa6508882654e931f1e93e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a227e10e3aefa6508882654e931f1e93e">&#9670;&nbsp;</a></span>encryption_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_ap::encryption_type[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>encryption type </p>

</div>
</div>
<a id="a2880357f0464e0838d0ca5ba03ebc4cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2880357f0464e0838d0ca5ba03ebc4cf">&#9670;&nbsp;</a></span>frequency</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_ap::frequency[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>freqency </p>

</div>
</div>
<a id="a2e1a04f7389253ee1a17c2b76027b641"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e1a04f7389253ee1a17c2b76027b641">&#9670;&nbsp;</a></span>rssi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_wifi_ap::rssi</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>rssi </p>

</div>
</div>
<a id="a0129252c298006d15b8110cac1e343fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0129252c298006d15b8110cac1e343fd">&#9670;&nbsp;</a></span>signal_strength</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t mcm_wifi_ap::signal_strength</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>signal strength </p>

</div>
</div>
<a id="af8e24790203a26af72faca89d5796eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8e24790203a26af72faca89d5796eb3">&#9670;&nbsp;</a></span>ssid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_wifi_ap::ssid[40]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ssid </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structmcm__wifi__ap.html">mcm_wifi_ap</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
